Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController Class Reference

## Public Member Functions
| __init__ (self, udpport=49152, address=None)
| __set_address__ (self, udpport, address)
| __del__ (self)
| __mksock__ (self)
| __send_keepalive_msg__ (self, socket, msg)
| __grab_data__ (self, socket)
| __refresh_data__ (self, jsondata)
| __start_streaming__ (self)
| __post_request__ (self, api_action, data=None)
| __get_request__ (self, api_action)
| __discover_device__ (self)
| __connect__ (self)
| __disconnect__ (self)
| start_streaming (self)
| stop_streaming (self)
| wait_until_status_is_ok (self)
| is_streaming (self)
| wait_for_status (self, api_action, key, values)
| wait_until_is_calibrated (self, calibration_id)
| wait_until_recording_is_done (self, recording_id)
| get_project_id (self, project_name)
| get_participant_id (self, participant_name)
| create_project (self, projectname="DefaultProjectName")
| create_participant (self, project_id, participant_name="DefaultUser", participant_notes="")
| create_calibration (self, project_id, participant_id)
| start_calibration (self, calibration_id)
| create_recording (self, participant_id, recording_notes="")
| start_recording (self, recording_id)
| stop_recording (self, recording_id)
| get_data (self)

## Public Attributes
int | timeout = 1
bool | streaming = False
| udpport = udpport
| address = address
dict | data = {}
| project_id = str(uuid.uuid4())
str | project_name = "TobiiProGlasses PyController"
| project_creation_date = datetime.datetime.now().strftime("%m/%d/%y %H:%M:%S")
int | recn = 0
str | KA_DATA_MSG = "{\"type\": \"live.data.unicast\", \"key\": \""+ str(uuid.uuid4()) +"\", \"op\": \"start\"}"
str | base_url = 'http://' + address
tuple | peer = (address, udpport)
| td = threading.Timer(0, self.__send_keepalive_msg__, [self.data_socket, self.KA_DATA_MSG])
| tg = threading.Timer(0, self.__grab_data__, [self.data_socket])
| data_socket = self.__mksock__()
| participant_name = participant_name

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.__init__ | ( |  | self,
|  |  | udpport = 49152,
|  |  | address = None )

## ◆ __del__()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.__del__ | ( |  | self | ) |

## Member Function Documentation

## ◆ __connect__()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.__connect__ | ( |  | self | ) |

## ◆ __disconnect__()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.__disconnect__ | ( |  | self | ) |

## ◆ __discover_device__()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.__discover_device__ | ( |  | self | ) |

## ◆ __get_request__()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.__get_request__ | ( |  | self,
|  |  | api_action )

## ◆ __grab_data__()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.__grab_data__ | ( |  | self,
|  |  | socket )

## ◆ __mksock__()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.__mksock__ | ( |  | self | ) |

## ◆ __post_request__()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.__post_request__ | ( |  | self,
|  |  | api_action,
|  |  | data = None )

## ◆ __refresh_data__()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.__refresh_data__ | ( |  | self,
|  |  | jsondata )

## ◆ __send_keepalive_msg__()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.__send_keepalive_msg__ | ( |  | self,
|  |  | socket,
|  |  | msg )

## ◆ __set_address__()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.__set_address__ | ( |  | self,
|  |  | udpport,
|  |  | address )

## ◆ __start_streaming__()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.__start_streaming__ | ( |  | self | ) |

## ◆ create_calibration()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.create_calibration | ( |  | self,
|  |  | project_id,
|  |  | participant_id )

## ◆ create_participant()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.create_participant | ( |  | self,
|  |  | project_id,
|  |  | participant_name = "DefaultUser",
|  |  | participant_notes = "" )

## ◆ create_project()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.create_project | ( |  | self,
|  |  | projectname = "DefaultProjectName" )

## ◆ create_recording()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.create_recording | ( |  | self,
|  |  | participant_id,
|  |  | recording_notes = "" )

## ◆ get_data()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.get_data | ( |  | self | ) |

## ◆ get_participant_id()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.get_participant_id | ( |  | self,
|  |  | participant_name )

## ◆ get_project_id()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.get_project_id | ( |  | self,
|  |  | project_name )

## ◆ is_streaming()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.is_streaming | ( |  | self | ) |

## ◆ start_calibration()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.start_calibration | ( |  | self,
|  |  | calibration_id )

## ◆ start_recording()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.start_recording | ( |  | self,
|  |  | recording_id )

## ◆ start_streaming()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.start_streaming | ( |  | self | ) |

## ◆ stop_recording()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.stop_recording | ( |  | self,
|  |  | recording_id )

## ◆ stop_streaming()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.stop_streaming | ( |  | self | ) |

## ◆ wait_for_status()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.wait_for_status | ( |  | self,
|  |  | api_action,
|  |  | key,
|  |  | values )

## ◆ wait_until_is_calibrated()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.wait_until_is_calibrated | ( |  | self,
|  |  | calibration_id )

## ◆ wait_until_recording_is_done()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.wait_until_recording_is_done | ( |  | self,
|  |  | recording_id )

## ◆ wait_until_status_is_ok()

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.wait_until_status_is_ok | ( |  | self | ) |

## Member Data Documentation

## ◆ address

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.address = address

## ◆ base_url

str pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.base_url = 'http://' + address

## ◆ data

dict pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.data = {}

## ◆ data_socket

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.data_socket = self.__mksock__()

## ◆ KA_DATA_MSG

str pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.KA_DATA_MSG = "{\"type\": \"live.data.unicast\", \"key\": \""+ str(uuid.uuid4()) +"\", \"op\": \"start\"}"

## ◆ participant_name

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.participant_name = participant_name

## ◆ peer

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.peer = (address, udpport)

## ◆ project_creation_date

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.project_creation_date = datetime.datetime.now().strftime("%m/%d/%y %H:%M:%S")

## ◆ project_id

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.project_id = str(uuid.uuid4())

## ◆ project_name

str pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.project_name = "TobiiProGlasses PyController"

## ◆ recn

int pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.recn = 0

## ◆ streaming

bool pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.streaming = False

## ◆ td

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.td = threading.Timer(0, self.__send_keepalive_msg__, [self.data_socket, self.KA_DATA_MSG])

## ◆ tg

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.tg = threading.Timer(0, self.__grab_data__, [self.data_socket])

## ◆ timeout

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.timeout = 1

## ◆ udpport

pygaze._eyetracker.tobiiglasses.tobiiglassescontroller.TobiiGlassesController.udpport = udpport

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_eyetracker/tobiiglasses/tobiiglassescontroller.py